
          InnoTek OS/2 Additions for Virtual PC
          =====================================


(C) 2001-2002 InnoTek Systemberatung GmbH
(C) 1988-2001 Connectix Inc.


1. Overview
-----------

InnoTek OS/2 Additions for Virtual PC provide usability,
integration and performance enhancements when running IBM
OS/2 as a guest in Connectix Virtual PC. Even though OS/2
will run without the OS/2 Additions, it is highly
recommended to install the Additions.

InnoTek OS/2 Additions for Virtual PC consist of several
device drivers and executables that are installed in the
OS/2 guest operating system and interface with the
Virtual PC product.

Please note that InnoTek OS/2 Additions for Virtual PC are
the property of InnoTek and require a license from InnoTek
when installing them. They are not part of Virtual PC from
Connectix Corporation.


2. Prerequisites
----------------

2.1 Virtual PC
--------------

Currently, Virtual PC 4.0 or later for Windows and OS/2
are supported. It is recommended to use Virtual PC 4.3
and later.
Virtual PC for Mac has not been tested with the InnoTek
OS/2 Additions for Virtual PC and this combination is
not officially supported by InnoTek.

2.2 OS/2 Guest
--------------

The OS/2 guest needs to be OS/2 Warp Version 3 or higher.

The recommended version of OS/2 is 4.51 and 4.52 (MCP).
These are the supported versions. For any other version,
you need special support contracts with InnoTek. Warp 3
support is only available on a special bid basis.


3. Installation
---------------

InnoTek OS/2 Additions for Virtual PC install on top of
an already installed OS/2 guest in Virtual PC. Before
installing the OS/2 Additions, you have to install OS/2.
This works like on a traditional PC. During OS/2
installation, just choose the standard hardware devices
that are detected by the installer. Depending on the
version of OS/2, you have to install fixpacks to meet the
requirements of the OS/2 Additions.

InnoTek OS/2 Additions for Virtual PC are packaged as an
ISO file, i.e. a CDROM image. The ISO file can be mounted
as a CDROM for the OS/2 virtual machine. On the CDROM,
there is an EXE installer file.

3.1 Manual Installation
-----------------------

For manual installation, just launch the installer from
the ISO image. It will guide you through the
installation. Note that it is recommended to not alter
the installation directory (<bootdrive>:\VPC) and to
install all components of the OS/2 Additions.

After completion of the install, please reboot the OS/2
guest system.

3.2 Automated Installation (CID)
--------------------------------

InnoTek OS/2 Additions for Virtual PC allow for a fully
automated installation. This is accomplished by several
command line parameters to the installation program.

Parameter: /u
Start unattended installation to the default directory
(<bootdrive>:\VPC) or in case a previous installation of
the OS/2 Additions is detected, to the previous
installation directory.

Parameter: /d=install_directory
Set target directory. /d denotes current directory.

Parameter: /gradd=[yes|no]
Install the GRADD components (display driver, required
for mouse pointer integration, higher resolutions and
enhanced graphics performance). Default is yes.

Parameter: /sharedfolder=[yes|no]
Install the Shared Folders support. Default is yes.

Parameter: /config=[yes|no]
Update system files (config.sys, startup.cmd). Default is
yes.

Parameter: /update=[force|yes|no]
Overwrite (force), overwrite only older (yes) or do not
overwrite (no) existing files. Default is yes.

In order to uninstall the OS/2 Additions, the program,
uninstva.exe is provided. It is installed into the OS/2
Additions directory. It will reset the graphics driver
to the VGAGRADD (default starting with Convenience Pack).

3.3 Installation Details
------------------------

The installer will perform the following modifications:

- create the target directory (default: C:\VPC)

- copy all files into the target directory (vpcgradd.exe
  into the vpcgradd subdirectory)

- execute vpcgradd.exe to unpack the GRADD installation
  files and delete vpcgradd.exe afterwards

- add the VPCDRV.SYS driver as DEVICE= to CONFIG.SYS

- add VPCSERV.EXE as DETACH to STARTUP.CMD

- REM out MOUSE.SYS in CONFIG.SYS
  (if GRADD is selected during installation)

- add VPCMOUSE.SYS as DEVICE= to CONFIG.SYS
  (if GRADD is selected during installation)

- copy HOSTMAUS.DRV to \OS2\MDOS\WINOS2\SYSTEM
  (if GRADD is selected during installation)

- modify \OS2\MDOS\WINOS2\SYSTEM.INI to list HOSTMAUS.DRV
  as "mouse.drv" entry. Add MOUSE.DRV as
  "host.mouse.drv" entry.
  (if GRADD is selected during installation)

- add VPCMAP.IFS as IFS= to CONFIG.SYS
  (if Shared Folders are selected during installation)

- inside the vpcgradd subdirectory, issue setup.cmd VPC
  to install the VPCGRADD device driver
  (if GRADD is selected during installation)


4. Functionality
----------------

Currently, the following features are provided by
InnoTek OS/2 Additions for Virtual PC:

- Mouse Pointer Integration
  This allows you to move the mouse pointer inside and
  outside of the OS/2 guest without capturing and
  uncapturing.

- Better graphics performance
  The driver has been specifically tuned for best
  performance with the Virtual PC graphics subsystem.

- More graphics resolutions
  All resolutions supported by Virtual PC
  (up to 1600x1200) are now available in the OS/2 guest.

- Shared Folders
  You can map any directory on your host system (even
  remote filesystems such as network drives) as a drive
  letter in your OS/2 guest.

- Automated Shutdown
  Shutdown of OS/2 from the Virtual PC VM close dialog.
  Note that currently, VPC refers to OS/2 as
  "Windows 2000". This will be fixed in an upcoming
  release of Virtual PC.

- Clipboard Integration
  This allows you to cut and paste between your host
  operating system and the OS/2 guest. When you put
  something in the clipboard on the host, it will also
  be put in the guest clipboard and vice versa.


5. Support
----------

Support is available for registered customers. Please
contact sales@innotek.de.


6. Copyrights
-------------

(C) 2001-2002 InnoTek(R) Systemberatung GmbH
http://www.innotek.de

(C) 1988-2001 Connectix Inc.
http://www.connectix.com


2002-05-15
